Bug 1222926 - Review Request: nunit - unit-testing framework for .Net/mono
Summary: Review Request: nunit - unit-testing framework for .Net/mono
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Claudio Rodrigo Pereyra DIaz
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1221559 1225201
TreeView+ depends on / blocked
 
Reported: 2015-05-19 12:47 UTC by Timotheus Pokorra
Modified: 2015-07-16 07:07 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-07-16 07:07:32 UTC
Type: ---
claudiorodrigo: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)
initial generated review (8.33 KB, text/plain)
2015-06-04 15:42 UTC, Timotheus Pokorra
no flags Details
another generated review (9.32 KB, text/plain)
2015-06-22 12:03 UTC, Timotheus Pokorra
no flags Details

Description Timotheus Pokorra 2015-05-19 12:47:56 UTC
Spec URL: https://raw.githubusercontent.com/tpokorra/lbs-mono-fedora/master/nunit/nunit.spec
SRPM URL: https://download.solidcharity.com/repos/tpokorra/mono-fedora/fedora/21/src/nunit-2.6.3-4.fc21.src.rpm
Description: NUnit is a Unit-testing Framework for .Net/Mono. This would replace mono-nunit package resulting out of mono.srpm. The NUnit provided by the mono tarball is too old (2.4), we need at least 2.6.3 for a couple of packages to build (MonoDevelop, NAnt, etc)
Fedora Account System Username: tpokorra

Comment 1 Timotheus Pokorra 2015-06-04 07:57:58 UTC
I have fixed the spec so that rpmlint does not show any errors or warnings anymore:

Spec URL: https://raw.githubusercontent.com/tpokorra/lbs-mono-fedora/master/nunit/nunit.spec
SRPM URL: https://download.solidcharity.com/repos/tpokorra/mono-fedora/fedora/21/src/nunit-2.6.3-5.fc21.src.rpm
Description: NUnit is a Unit-testing Framework for .Net/Mono. This would replace mono-nunit package resulting out of mono.srpm. The NUnit provided by the mono tarball is too old (2.4), we need at least 2.6.3 for a couple of packages to build (MonoDevelop, NAnt, etc)
Fedora Account System Username: tpokorra

Comment 2 Claudio Rodrigo Pereyra DIaz 2015-06-04 12:36:11 UTC
Some suggestion

- Remove defatt, is no used any more
%defattr(-,root,root)

- devel package must require %{?_isa}
Requires:       %{name}%{?_isa} = %{version}-%{release}

Source have a license.txt, this should be included with 
%licesen

You should use mono macros
%{_monogacdir} instead %{_libdir}/mono/gac
%{_monodir} instead %{_libdir}/mono
see https://fedoraproject.org/wiki/Packaging:Mono#File_Locations

Script name is beter not use . and - only the number
`basename -s .sh %{SOURCE2}`26 instead `basename -s .sh %{SOURCE2}`-2.6

Comment 4 Timotheus Pokorra 2015-06-04 15:38:31 UTC
hmm, now rpmlint complains again:
nunit.src:72: E: hardcoded-library-path in %{buildroot}/usr/lib

but somehow it will install into lib64 when I use %{_libdir}, but %{_monogacdir} goes for lib only

any suggestions?

Comment 5 Timotheus Pokorra 2015-06-04 15:42:08 UTC
Created attachment 1034785 [details]
initial generated review

I still need to look into several issues that have been reported, eg. "Package does not own files or directories owned by other packages."

Comment 6 Timotheus Pokorra 2015-06-22 12:01:53 UTC
updated the spec and the srpm:
Spec URL: https://raw.githubusercontent.com/tpokorra/lbs-mono-fedora/master/nunit/nunit.spec
SRPM URL: https://tpokorra.fedorapeople.org/mono/nunit-2.6.4-1.fc21.src.rpm

Satisfied:
* Latest version is packaged (upgraded to 2.6.4)
* added documentation: nunit-docs

Not sure what to do about:
 nunit.x86_64: E: no-binary

I tried to use noarch, but then read https://fedoraproject.org/wiki/Packaging:Mono?rd=Packaging/Mono that says, we do not package mono packages as noarch.

Comment 7 Timotheus Pokorra 2015-06-22 12:03:02 UTC
Created attachment 1041774 [details]
another generated review

Comment 8 Claudio Rodrigo Pereyra DIaz 2015-07-06 13:39:26 UTC
===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated". 1045 files have unknown license.
     Detailed output of licensecheck in
     /media/galileo/fedora/1222926-nunit/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: Package does not own files or directories owned by other packages.
     Note: Dirs in package are owned also by: /usr/lib/mono/gac/nunit-
     console-runner(mono-nunit, nunit), /usr/lib/mono/gac/nunit.framework
     (mono-nunit, nunit), /usr/lib/mono/gac/nunit.util(mono-nunit, nunit),
     /usr/lib/mono/gac/nunit.mocks(mono-nunit, nunit),
     /usr/lib/mono/gac/nunit.core.interfaces(mono-nunit, nunit),
     /usr/lib/mono/gac/nunit.core(mono-nunit, nunit)
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[!]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[x]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[-]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[!]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in nunit-
     docs , nunit-devel
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[?]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[?]: Packages should try to preserve timestamps of original installed
     files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: The placement of pkgconfig(.pc) files are correct.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
     Note: Arch-ed rpms have a total of 3082240 bytes in /usr/share
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: nunit-2.6.4-1.fc23.x86_64.rpm
          nunit-docs-2.6.4-1.fc23.x86_64.rpm
          nunit-devel-2.6.4-1.fc23.x86_64.rpm
          nunit-2.6.4-1.fc23.src.rpm
nunit.x86_64: E: no-binary
nunit.x86_64: W: only-non-binary-in-usr-lib
nunit.x86_64: W: no-documentation
nunit.x86_64: W: no-manual-page-for-binary nunit-gui26
nunit.x86_64: W: no-manual-page-for-binary nunit-console26
nunit-devel.x86_64: W: only-non-binary-in-usr-lib
nunit-devel.x86_64: W: no-documentation
4 packages and 0 specfiles checked; 1 errors, 6 warnings.




Rpmlint (installed packages)
----------------------------
nunit.x86_64: E: no-binary
nunit.x86_64: W: only-non-binary-in-usr-lib
nunit.x86_64: W: no-documentation
nunit.x86_64: W: no-manual-page-for-binary nunit-gui26
nunit.x86_64: W: no-manual-page-for-binary nunit-console26
nunit-devel.x86_64: W: only-non-binary-in-usr-lib
nunit-devel.x86_64: W: no-documentation
3 packages and 0 specfiles checked; 1 errors, 6 warnings.



Requires
--------
nunit (rpmlib, GLIBC filtered):
    /bin/sh
    mono(System)
    mono(System.Configuration)
    mono(System.Drawing)
    mono(System.Runtime.Remoting)
    mono(System.Windows.Forms)
    mono(System.Xml)
    mono(mscorlib)
    mono(nunit-console-runner)
    mono(nunit-gui-runner)
    mono(nunit.core)
    mono(nunit.core.interfaces)
    mono(nunit.framework)
    mono(nunit.uiexception)
    mono(nunit.uikit)
    mono(nunit.util)

nunit-devel (rpmlib, GLIBC filtered):
    /usr/bin/pkg-config
    nunit
    pkgconfig

nunit-docs (rpmlib, GLIBC filtered):
    nunit



Provides
--------
nunit:
    mono(nunit)
    mono(nunit-console)
    mono(nunit-console-runner)
    mono(nunit-gui-runner)
    mono(nunit.core)
    mono(nunit.core.interfaces)
    mono(nunit.framework)
    mono(nunit.mocks)
    mono(nunit.uiexception)
    mono(nunit.uikit)
    mono(nunit.util)
    nunit
    nunit(x86-64)

nunit-devel:
    nunit-devel
    nunit-devel(x86-64)
    pkgconfig(nunit)

nunit-docs:
    nunit-docs
    nunit-docs(x86-64)



Source checksums
----------------
https://github.com/nunit/nunitv2/archive/2.6.4.tar.gz :
  CHECKSUM(SHA256) this package     : d5d3ed8d4f811b33f07ede67025dbcf1c4949e076130489a292002bee73e68b1
  CHECKSUM(SHA256) upstream package : d5d3ed8d4f811b33f07ede67025dbcf1c4949e076130489a292002bee73e68b1


Generated by fedora-review 0.6.0 (3c5c9d7) last change: 2015-05-20
Command line :/usr/bin/fedora-review -b 1222926 --mock-config fedora-rawhide-x86_64
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Comment 9 Claudio Rodrigo Pereyra DIaz 2015-07-06 13:41:25 UTC
(In reply to Claudio Rodrigo Pereyra DIaz from comment #8)
> ===== MUST items =====
> 
> C/C++:
> [x]: Package does not contain kernel modules.
> [x]: Package contains no static executables.
> [x]: Package does not contain any libtool archives (.la)
> [x]: Rpath absent or only used for internal libs.
> 
> Generic:
> [x]: Package is licensed with an open-source compatible license and meets
>      other legal requirements as defined in the legal section of Packaging
>      Guidelines.
> [x]: License field in the package spec file matches the actual license.
>      Note: Checking patched sources after %prep for licenses. Licenses
>      found: "Unknown or generated". 1045 files have unknown license.
>      Detailed output of licensecheck in
>      /media/galileo/fedora/1222926-nunit/licensecheck.txt
> [x]: License file installed when any subpackage combination is installed.
> [x]: Package does not own files or directories owned by other packages.
>      Note: Dirs in package are owned also by: /usr/lib/mono/gac/nunit-
>      console-runner(mono-nunit, nunit), /usr/lib/mono/gac/nunit.framework
>      (mono-nunit, nunit), /usr/lib/mono/gac/nunit.util(mono-nunit, nunit),
>      /usr/lib/mono/gac/nunit.mocks(mono-nunit, nunit),
>      /usr/lib/mono/gac/nunit.core.interfaces(mono-nunit, nunit),
>      /usr/lib/mono/gac/nunit.core(mono-nunit, nunit)
> [x]: %build honors applicable compiler flags or justifies otherwise.
> [x]: Package contains no bundled libraries without FPC exception.
> [x]: Changelog in prescribed format.
> [x]: Sources contain only permissible code or content.
> [!]: Package contains desktop file if it is a GUI application.

nunit-gui need a desktop file

> [x]: Development files must be in a -devel package
> [x]: Package uses nothing in %doc for runtime.
> [x]: Package consistently uses macros (instead of hard-coded directory
>      names).
> [x]: Package is named according to the Package Naming Guidelines.
> [x]: Package does not generate any conflict.
> [x]: Package obeys FHS, except libexecdir and /usr/target.
> [x]: If the package is a rename of another package, proper Obsoletes and
>      Provides are present.
> [x]: Requires correct, justified where necessary.
> [x]: Spec file is legible and written in American English.
> [-]: Package contains systemd file(s) if in need.
> [-]: Useful -debuginfo package or justification otherwise.
> [x]: Package is not known to require an ExcludeArch tag.
> [x]: Package complies to the Packaging Guidelines
> [x]: Package successfully compiles and builds into binary rpms on at least
>      one supported primary architecture.
> [x]: Package installs properly.
> [x]: Rpmlint is run on all rpms the build produces.
>      Note: There are rpmlint messages (see attachment).
> [x]: Package requires other packages for directories it uses.
> [x]: Package must own all directories that it creates.
> [x]: All build dependencies are listed in BuildRequires, except for any
>      that are listed in the exceptions section of Packaging Guidelines.
> [x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
> [x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
>      beginning of %install.
> [x]: Macros in Summary, %description expandable at SRPM build time.
> [x]: Dist tag is present.
> [x]: Package does not contain duplicates in %files.
> [x]: Permissions on files are set properly.
> [x]: Package use %makeinstall only when make install DESTDIR=... doesn't
>      work.
> [x]: Package is named using only allowed ASCII characters.
> [x]: Package does not use a name that already exists.
> [x]: Package is not relocatable.
> [x]: Sources used to build the package match the upstream source, as
>      provided in the spec URL.
> [x]: Spec file name must match the spec package %{name}, in the format
>      %{name}.spec.
> [x]: File names are valid UTF-8.
> [x]: Packages must not store files under /srv, /opt or /usr/local
> 
> ===== SHOULD items =====
> 
> Generic:
> [x]: If the source package does not include license text(s) as a separate
>      file from upstream, the packager SHOULD query upstream to include it.
> [x]: Final provides and requires are sane (see attachments).
> [!]: Fully versioned dependency in subpackages if applicable.
>      Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in nunit-
>      docs , nunit-devel

Need add %{?_isa} to devel package.

> [x]: Package functions as described.
> [x]: Latest version is packaged.
> [x]: Package does not include license text files separate from upstream.
> [x]: Description and summary sections in the package spec file contains
>      translations for supported Non-English languages, if available.
> [?]: Package should compile and build into binary rpms on all supported
>      architectures.
> [-]: %check is present and all tests pass.
> [?]: Packages should try to preserve timestamps of original installed
>      files.
> [x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
> [x]: Sources can be downloaded from URI in Source: tag
> [x]: Reviewer should test that the package builds in mock.
> [x]: Buildroot is not present
> [x]: Package has no %clean section with rm -rf %{buildroot} (or
>      $RPM_BUILD_ROOT)
> [x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
> [x]: The placement of pkgconfig(.pc) files are correct.
> [x]: SourceX is a working URL.
> [x]: Spec use %global instead of %define unless justified.
> 
> ===== EXTRA items =====
> 
> Generic:
> [x]: Large data in /usr/share should live in a noarch subpackage if package
>      is arched.
>      Note: Arch-ed rpms have a total of 3082240 bytes in /usr/share
> [x]: Rpmlint is run on all installed packages.
>      Note: There are rpmlint messages (see attachment).
> [x]: Spec file according to URL is the same as in SRPM.
> 
> 
> Rpmlint
> -------
> Checking: nunit-2.6.4-1.fc23.x86_64.rpm
>           nunit-docs-2.6.4-1.fc23.x86_64.rpm
>           nunit-devel-2.6.4-1.fc23.x86_64.rpm
>           nunit-2.6.4-1.fc23.src.rpm
> nunit.x86_64: E: no-binary
> nunit.x86_64: W: only-non-binary-in-usr-lib
> nunit.x86_64: W: no-documentation
> nunit.x86_64: W: no-manual-page-for-binary nunit-gui26
> nunit.x86_64: W: no-manual-page-for-binary nunit-console26
> nunit-devel.x86_64: W: only-non-binary-in-usr-lib
> nunit-devel.x86_64: W: no-documentation
> 4 packages and 0 specfiles checked; 1 errors, 6 warnings.
> 
> 
> 
> 
> Rpmlint (installed packages)
> ----------------------------
> nunit.x86_64: E: no-binary
> nunit.x86_64: W: only-non-binary-in-usr-lib
> nunit.x86_64: W: no-documentation
> nunit.x86_64: W: no-manual-page-for-binary nunit-gui26
> nunit.x86_64: W: no-manual-page-for-binary nunit-console26
> nunit-devel.x86_64: W: only-non-binary-in-usr-lib
> nunit-devel.x86_64: W: no-documentation
> 3 packages and 0 specfiles checked; 1 errors, 6 warnings.
> 
> 
> 
> Requires
> --------
> nunit (rpmlib, GLIBC filtered):
>     /bin/sh
>     mono(System)
>     mono(System.Configuration)
>     mono(System.Drawing)
>     mono(System.Runtime.Remoting)
>     mono(System.Windows.Forms)
>     mono(System.Xml)
>     mono(mscorlib)
>     mono(nunit-console-runner)
>     mono(nunit-gui-runner)
>     mono(nunit.core)
>     mono(nunit.core.interfaces)
>     mono(nunit.framework)
>     mono(nunit.uiexception)
>     mono(nunit.uikit)
>     mono(nunit.util)
> 
> nunit-devel (rpmlib, GLIBC filtered):
>     /usr/bin/pkg-config
>     nunit
>     pkgconfig
> 
> nunit-docs (rpmlib, GLIBC filtered):
>     nunit
> 
> 
> 
> Provides
> --------
> nunit:
>     mono(nunit)
>     mono(nunit-console)
>     mono(nunit-console-runner)
>     mono(nunit-gui-runner)
>     mono(nunit.core)
>     mono(nunit.core.interfaces)
>     mono(nunit.framework)
>     mono(nunit.mocks)
>     mono(nunit.uiexception)
>     mono(nunit.uikit)
>     mono(nunit.util)
>     nunit
>     nunit(x86-64)
> 
> nunit-devel:
>     nunit-devel
>     nunit-devel(x86-64)
>     pkgconfig(nunit)
> 
> nunit-docs:
>     nunit-docs
>     nunit-docs(x86-64)
> 
> 
> 
> Source checksums
> ----------------
> https://github.com/nunit/nunitv2/archive/2.6.4.tar.gz :
>   CHECKSUM(SHA256) this package     :
> d5d3ed8d4f811b33f07ede67025dbcf1c4949e076130489a292002bee73e68b1
>   CHECKSUM(SHA256) upstream package :
> d5d3ed8d4f811b33f07ede67025dbcf1c4949e076130489a292002bee73e68b1
> 
> 
> Generated by fedora-review 0.6.0 (3c5c9d7) last change: 2015-05-20
> Command line :/usr/bin/fedora-review -b 1222926 --mock-config
> fedora-rawhide-x86_64
> Buildroot used: fedora-rawhide-x86_64
> Active plugins: Generic, Shell-api, C/C++
> Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, Haskell,
> R, PHP, Ruby
> Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Comment 10 Timotheus Pokorra 2015-07-13 10:41:03 UTC
updated the spec and the srpm:
Spec URL: https://tpokorra.fedorapeople.org/mono/nunit.spec
SRPM URL: https://tpokorra.fedorapeople.org/mono/nunit-2.6.4-3.fc23.src.rpm

This now contains a nunit.desktop file, and also installs the icon in the right place.
I have also fixed the requires for the devel package

Comment 11 Timotheus Pokorra 2015-07-13 11:59:43 UTC
I just realized that I introduced new issues:

Issues:
=======
- gtk-update-icon-cache is invoked in %postun and %posttrans if package
  contains icons.
  Note: icons in nunit
  See: http://fedoraproject.org/wiki/Packaging:ScriptletSnippets#Icon_Cache
- If (and only if) the source package includes the text of the license(s)
  in its own file, then that file, containing the text of the license(s)
  for the package is included in %license.
  Note: License file license.html is marked as %doc instead of %license
  See:
  http://fedoraproject.org/wiki/Packaging/LicensingGuidelines#License_Text
- Package installs a %{name}.desktop using desktop-file-install or desktop-
  file-validate if there is such a file.
- Large documentation must go in a -doc subpackage. Large could be size
  (~1MB) or number of files.
  Note: Documentation size is 3072000 bytes in 151 files.
  See:
  http://fedoraproject.org/wiki/Packaging/Guidelines#PackageDocumentation
- update-desktop-database is invoked in %post and %postun if package
  contains desktop file(s) with a MimeType: entry.
  Note: desktop file(s) with MimeType entry in nunit
  See: http://fedoraproject.org/wiki/Packaging:ScriptletSnippets#desktop-
  database

I will fix these now...

Comment 12 Timotheus Pokorra 2015-07-13 12:06:43 UTC
updated the spec and the srpm:
Spec URL: https://tpokorra.fedorapeople.org/mono/nunit.spec
SRPM URL: https://tpokorra.fedorapeople.org/mono/nunit-2.6.4-4.fc23.src.rpm

Comment 13 Timotheus Pokorra 2015-07-13 12:20:39 UTC
fixing another typo:
updated the spec and the srpm:
Spec URL: https://tpokorra.fedorapeople.org/mono/nunit.spec
SRPM URL: https://tpokorra.fedorapeople.org/mono/nunit-2.6.4-5.fc23.src.rpm

Comment 14 Claudio Rodrigo Pereyra DIaz 2015-07-14 18:13:31 UTC
You need add desktop-file-utils as Requiered main packages.
Without this mock builds fail.

Comment 15 Timotheus Pokorra 2015-07-14 18:46:22 UTC
Thanks! I have fixed it. It builds now as a scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=10356051

updated spec and the srpm:
Spec URL: https://tpokorra.fedorapeople.org/mono/nunit.spec
SRPM URL: https://tpokorra.fedorapeople.org/mono/nunit-2.6.4-6.fc23.src.rpm

Comment 16 Claudio Rodrigo Pereyra DIaz 2015-07-14 19:42:23 UTC
Only need fix this to be ok for me.

[ ]: Package requires other packages for directories it uses.
     Note: No known owner of /usr/share/icons/NUnit
[ ]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/share/icons/NUnit

Comment 17 Timotheus Pokorra 2015-07-14 20:29:35 UTC
I have fixed that now.

updated spec and the srpm:
Spec URL: https://tpokorra.fedorapeople.org/mono/nunit.spec
SRPM URL: https://tpokorra.fedorapeople.org/mono/nunit-2.6.4-7.fc23.src.rpm

Comment 18 Claudio Rodrigo Pereyra DIaz 2015-07-15 12:14:18 UTC
Now it is OK to me.

===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated". 1045 files have unknown license.
     Detailed output of licensecheck in
     /media/galileo/fedora/1222926-nunit/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[-]: Package does not own files or directories owned by other packages.
     Note: Dirs in package are owned also by: /usr/lib/mono/gac/nunit-
     console-runner(mono-nunit, nunit), /usr/lib/mono/gac/nunit.framework
     (mono-nunit, nunit), /usr/lib/mono/gac/nunit.util(mono-nunit, nunit),
     /usr/lib/mono/gac/nunit.mocks(mono-nunit, nunit),
     /usr/lib/mono/gac/nunit.core.interfaces(mono-nunit, nunit),
     /usr/lib/mono/gac/nunit.core(mono-nunit, nunit)
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[x]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: update-desktop-database is invoked in %post and %postun if package
     contains desktop file(s) with a MimeType: entry.
     Note: desktop file(s) with MimeType entry in nunit
[x]: gtk-update-icon-cache is invoked in %postun and %posttrans if package
     contains icons.
     Note: icons in nunit
[-]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package contains desktop file if it is a GUI application.
[x]: Package installs a %{name}.desktop using desktop-file-install or
     desktop-file-validate if there is such a file.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 0 bytes in 0 files.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in nunit-
     doc
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[?]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[?]: Packages should try to preserve timestamps of original installed
     files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: The placement of pkgconfig(.pc) files are correct.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
     Note: Arch-ed rpms have a total of 3082240 bytes in /usr/share
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: nunit-2.6.4-7.fc23.x86_64.rpm
          nunit-doc-2.6.4-7.fc23.x86_64.rpm
          nunit-devel-2.6.4-7.fc23.x86_64.rpm
          nunit-2.6.4-7.fc23.src.rpm
nunit.x86_64: E: no-binary
nunit.x86_64: W: only-non-binary-in-usr-lib
nunit.x86_64: W: no-documentation
nunit.x86_64: W: no-manual-page-for-binary nunit-gui26
nunit.x86_64: W: no-manual-page-for-binary nunit-console26
nunit-devel.x86_64: W: only-non-binary-in-usr-lib
nunit-devel.x86_64: W: no-documentation
nunit.src: W: strange-permission nunit-gui.sh 0755L
4 packages and 0 specfiles checked; 1 errors, 7 warnings.




Rpmlint (installed packages)
----------------------------
sh: /usr/bin/python: No existe el fichero o el directorio
nunit.x86_64: E: no-binary
nunit.x86_64: W: only-non-binary-in-usr-lib
nunit.x86_64: W: no-documentation
nunit.x86_64: W: no-manual-page-for-binary nunit-gui26
nunit.x86_64: W: no-manual-page-for-binary nunit-console26
nunit-devel.x86_64: W: only-non-binary-in-usr-lib
nunit-devel.x86_64: W: no-documentation
3 packages and 0 specfiles checked; 1 errors, 6 warnings.



Requires
--------
nunit (rpmlib, GLIBC filtered):
    /bin/sh
    mono(System)
    mono(System.Configuration)
    mono(System.Drawing)
    mono(System.Runtime.Remoting)
    mono(System.Windows.Forms)
    mono(System.Xml)
    mono(mscorlib)
    mono(nunit-console-runner)
    mono(nunit-gui-runner)
    mono(nunit.core)
    mono(nunit.core.interfaces)
    mono(nunit.framework)
    mono(nunit.uiexception)
    mono(nunit.uikit)
    mono(nunit.util)

nunit-devel (rpmlib, GLIBC filtered):
    /usr/bin/pkg-config
    nunit(x86-64)
    pkgconfig

nunit-doc (rpmlib, GLIBC filtered):
    nunit



Provides
--------
nunit:
    application()
    application(nunit.desktop)
    mimehandler(application/octet-stream)
    mono(nunit)
    mono(nunit-console)
    mono(nunit-console-runner)
    mono(nunit-gui-runner)
    mono(nunit.core)
    mono(nunit.core.interfaces)
    mono(nunit.framework)
    mono(nunit.mocks)
    mono(nunit.uiexception)
    mono(nunit.uikit)
    mono(nunit.util)
    nunit
    nunit(x86-64)

nunit-devel:
    nunit-devel
    nunit-devel(x86-64)
    pkgconfig(nunit)

nunit-doc:
    nunit-doc
    nunit-doc(x86-64)



Source checksums
----------------
https://github.com/nunit/nunitv2/archive/2.6.4.tar.gz :
  CHECKSUM(SHA256) this package     : d5d3ed8d4f811b33f07ede67025dbcf1c4949e076130489a292002bee73e68b1
  CHECKSUM(SHA256) upstream package : d5d3ed8d4f811b33f07ede67025dbcf1c4949e076130489a292002bee73e68b1


Generated by fedora-review 0.6.0 (3c5c9d7) last change: 2015-05-20
Command line :/usr/bin/fedora-review -b 1222926 -m fedora-rawhide-x86_64
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Comment 19 Claudio Rodrigo Pereyra DIaz 2015-07-15 12:16:57 UTC
New Package SCM Request
=======================
Package Name: nunit
Short Description: Unit-testing framework for .Net/mono
Upstream URL: http://nuget.org/
Owners: tpokorra mono-sig
Branches: 
InitialCC:

Comment 20 Timotheus Pokorra 2015-07-15 12:33:09 UTC
fixing upstream link...

New Package SCM Request
=======================
Package Name: nunit
Short Description: Unit-testing framework for .Net/mono
Upstream URL: http://nunit.org/
Owners: tpokorra mono-sig
Branches: 
InitialCC:

Comment 21 Gwyn Ciesla 2015-07-15 17:45:21 UTC
Git done (by process-git-requests).


Note You need to log in before you can comment on or make changes to this bug.